import '../css/global.css'
import BlackButton from './components/customButton'
import { useState, useEffect } from 'react';

function languageSelection() {
    const [lang, setLang] = useState(() => {
        return sessionStorage.getItem("lang") || '';
    });

    useEffect(() => {
        sessionStorage.setItem("lang", lang);
    }, [lang]);

    const userAgent = navigator.userAgent;
    const isSafari = userAgent.includes("Safari");

    const buttonSet = isSafari ? (
        <>
            <BlackButton text="ภาษาไทย" to='/unsupported' onClick={() => setLang("Thai")} />
            <BlackButton text="English" to='/unsupported' onClick={() => setLang("English")} />
        </>
    ) : (
        <>
            <BlackButton text="ภาษาไทย" to='/warn' onClick={() => setLang("Thai")} />
            <BlackButton text="English" to='/warn' onClick={() => setLang("English")} />
        </>
    );

    return (
        <div style={{
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            height: '100vh',
            flexDirection: 'column',
        }}>
        <label className='title'>Please choose a language</label>
        <label className='title'>กรุณาเลือกภาษาที่ต้องการ</label>

        <div style={{
            display: 'flex',
            flexDirection: 'row',
            gap: '1rem',
            marginTop: '1rem'
        }}>
            {buttonSet}
        </div>
        </div>
    );
}

export default languageSelection
