import BlackButton from './components/customButton';
import { useState } from 'react';

function unsupportedOS() {
    const [lang] = useState(() => {
        return sessionStorage.getItem("lang") || 'English';
    });

    const text = {
        title: lang === 'Thai' ? 'บราว์เซอร์นี้ไม่รองรับเว็ปไชต์นี้!' : 'Your browser is unsupported!',
        continue: lang === 'Thai' ? 'ดำเนินการต่อ' : 'Continue',
        body: lang === 'Thai' ? 'อาจมีปัญหาในการแสดงผลหรือบางส่วนทำงานไม่ถูกต้อง' : 'There may be glitches and broken elements'
    }

    return(
  	  <div style={{
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh',
        flexDirection: 'column',
      }}
      >
        <label className='title'>{text.title}</label>

        <div style={{
          height: '8vh'
        }}/>

        <label className="body">
          {text.body}
        </label>
        <div style={{
            height: '8vh'
        }}/>
            <BlackButton text={text.continue} to='/warn' />
  	  </div>
    )
}

export default unsupportedOS